Bug 1117838 - No VM listing in the Compute Resource oVirt
Summary: No VM listing in the Compute Resource oVirt
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Provisioning
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Katello Bug Bin
QA Contact: Martin Korbel
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-09 13:29 UTC by Bryan Kearney
Modified: 2019-09-26 15:44 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-11 12:21:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 6399 0 None None None 2016-04-22 15:49:17 UTC

Description Bryan Kearney 2014-07-09 13:29:10 UTC
Using foreman-1.5.1 and oVirt-3.4.2 there is no VM listing while in a oVirt CR. There is an error instead: undefined method `[]' for nil:NilClass.
Enabling debug and commenting out a couple of lines in app/controllers/compute_resources_vms_controller.rb I got a stack trace pointing to rbovirt.
Injecting some debug log statements into various files of rbovirt I have found the problem.
My Test-oVirt CR doesn't have iscsi direct luns but Prod-oVirt has and volume.rb errors out when encountering a direct lun disk. My current solution is to add a few 'rescue nil' entries to a couple of lines but that might only stop the error. Could have unknown side effects.
See email on foreman ML topic: Problem with showing VMs with foreman-1.5.1 and oVirt-3.4.2

Comment 1 Bryan Kearney 2014-07-09 13:29:11 UTC
Created from redmine issue http://projects.theforeman.org/issues/6399

Comment 3 Bryan Kearney 2014-07-09 13:47:46 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/6399 has been closed
-------------
Dominic Cleal
https://github.com/abenari/rbovirt/issues/36

Comment 6 Martin Korbel 2014-09-04 14:03:36 UTC
Verified on Satellite-6.0.4-RHEL-6-20140829.0. 
oVirt was replaced by RHEV. Tested on RHEV.

Comment 7 Bryan Kearney 2014-09-11 12:21:37 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.